| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DefaultValues Class Reference

`#include <DefaultValues.h>`

## Public Member Functions
string | GetDeviceName ()
AngleRange | GetAngleRange ()
ContaminationThreshold | GetContaminationThreshold ()
ObjectSize | GetObjectSize ()
WarningSpot | GetWarningSpot ()
OnOffDelay | GetOnDelays ()
OnOffDelay | GetOffDelays ()
OutputFunction | GetOutputFunction ()
ActiveLevel | GetOutputActiveLevel ()
AgvSensorLeds | GetSensorLeds ()
NativeZoneModeEnum | GetZoneMode ()
void | SetDeviceName (string value)
void | SetAngleRange (AngleRange value)
void | SetContaminationThreshold (ContaminationThreshold value)
void | SetObjectSize (ObjectSize value)
void | SetWarningSpot (WarningSpot value)
void | SetOnDelays (OnOffDelay value)
void | SetOffDelays (OnOffDelay value)
void | SetOutputFunction (OutputFunction value)
void | SetOutputActiveLevel (ActiveLevel value)
void | SetSensorLeds (AgvSensorLeds value)
void | SetZoneMode (NativeZoneModeEnum mode)

## Member Function Documentation

## ◆ GetAngleRange()

AngleRange DefaultValues::GetAngleRange | ( |  | ) |

## ◆ GetContaminationThreshold()

ContaminationThreshold DefaultValues::GetContaminationThreshold | ( |  | ) |

## ◆ GetDeviceName()

std::string DefaultValues::GetDeviceName | ( |  | ) |

## ◆ GetObjectSize()

ObjectSize DefaultValues::GetObjectSize | ( |  | ) |

## ◆ GetOffDelays()

OnOffDelay DefaultValues::GetOffDelays | ( |  | ) |

## ◆ GetOnDelays()

OnOffDelay DefaultValues::GetOnDelays | ( |  | ) |

## ◆ GetOutputActiveLevel()

ActiveLevel DefaultValues::GetOutputActiveLevel | ( |  | ) |

## ◆ GetOutputFunction()

OutputFunction DefaultValues::GetOutputFunction | ( |  | ) |

## ◆ GetSensorLeds()

AgvSensorLeds DefaultValues::GetSensorLeds | ( |  | ) |

## ◆ GetWarningSpot()

WarningSpot DefaultValues::GetWarningSpot | ( |  | ) |

## ◆ GetZoneMode()

NativeZoneModeEnum DefaultValues::GetZoneMode | ( |  | ) |

## ◆ SetAngleRange()

void DefaultValues::SetAngleRange | ( | AngleRange | value | ) |

## ◆ SetContaminationThreshold()

void DefaultValues::SetContaminationThreshold | ( | ContaminationThreshold | value | ) |

## ◆ SetDeviceName()

void DefaultValues::SetDeviceName | ( | string | value | ) |

## ◆ SetObjectSize()

void DefaultValues::SetObjectSize | ( | ObjectSize | value | ) |

## ◆ SetOffDelays()

void DefaultValues::SetOffDelays | ( | OnOffDelay | value | ) |

## ◆ SetOnDelays()

void DefaultValues::SetOnDelays | ( | OnOffDelay | value | ) |

## ◆ SetOutputActiveLevel()

void DefaultValues::SetOutputActiveLevel | ( | ActiveLevel | value | ) |

## ◆ SetOutputFunction()

void DefaultValues::SetOutputFunction | ( | OutputFunction | value | ) |

## ◆ SetSensorLeds()

void DefaultValues::SetSensorLeds | ( | AgvSensorLeds | value | ) |

## ◆ SetWarningSpot()

void DefaultValues::SetWarningSpot | ( | WarningSpot | value | ) |

## ◆ SetZoneMode()

void DefaultValues::SetZoneMode | ( | NativeZoneModeEnum | mode | ) |

The documentation for this class was generated from the following files:

- DefaultValues.h
- DefaultValues.cpp